local t = Def.ActorFrame {};

t[#t+1] = Def.ActorFrame {
	LoadFont("_music warrior 36px") .. {
		Name="HeaderText";
		Text=string.upper(Screen.String("HeaderText"));
		InitCommand=cmd(x,SCREEN_CENTER_X;y,SCREEN_TOP+22;diffusetopedge,color("#EBEBEB");diffusebottomedge,color("#FFFFFF");strokecolor,color("#000000");zoom,0.75;horizalign,center;);
		OnCommand=cmd(diffusealpha,0;sleep,0.4;decelerate,0.7;diffusealpha,1;);
		OffCommand=cmd(smooth,0.2;addx,20;diffusealpha,0;);
		UpdateScreenHeaderMessageCommand=function(self,param)
			self:settext(param.Header);
		end;
	};
};

return t